[arch-commits] Commit in lib32-libelf/repos/multilib-testing-x86_64 (2 files)

David Runge dvzrv at archlinux.org
Thu Feb 11 12:14:15 UTC 2021


    Date: Thursday, February 11, 2021 @ 12:14:15
  Author: dvzrv
Revision: 855854

archrelease: copy trunk to multilib-testing-x86_64

Added:
  lib32-libelf/repos/multilib-testing-x86_64/PKGBUILD
    (from rev 855853, lib32-libelf/trunk/PKGBUILD)
Deleted:
  lib32-libelf/repos/multilib-testing-x86_64/PKGBUILD

----------+
 PKGBUILD |  106 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 53 insertions(+), 53 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-02-11 12:13:40 UTC (rev 855853)
+++ PKGBUILD	2021-02-11 12:14:15 UTC (rev 855854)
@@ -1,53 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Andrej Gelenberg <andrej.gelenberg at udo.edu>
-
-_name=elfutils
-pkgname=lib32-libelf
-pkgver=0.183
-pkgrel=1
-pkgdesc="Handle ELF object files and DWARF debugging information (libraries) (32-bit)"
-arch=('x86_64')
-url="https://sourceware.org/elfutils/"
-license=('LGPL3' 'GPL3')
-depends=('lib32-curl' 'lib32-bzip2' 'lib32-gcc-libs' 'lib32-xz' 'lib32-zlib'
-'lib32-zstd' "libelf=${pkgver}")
-provides=('libasm.so' 'libdebuginfod.so' 'libdw.so' 'libelf.so')
-source=("https://sourceware.org/elfutils/ftp/${pkgver}/elfutils-${pkgver}.tar.bz2"{,.sig})
-options=('staticlibs')
-sha512sums=('bdafdd738a33cebe4f87849e5e6f1133881e77ef71b27faa0f0234ff80e9674f506957898326c2a55fd8438cbd189f7930597d0b4b9ca6c77921cc0cbd83b6b7'
-            'SKIP')
-b2sums=('8dd92e7c2df13d51bb51085f6cf762ea1ec7b803dcebf1202a4441ba152ed0e3332b1267276de4650d5ed5c5bed656f72f4c4e9bbf20700be45312a202351574'
-        'SKIP')
-validpgpkeys=(
-  '47CC0331081B8BC6D0FD4DA08370665B57816A6A' # Mark J. Wielaard <mark at klomp.org>
-  'EC3CFE88F6CA0788774F5C1D1AA44BE649DE760A' # Mark Wielaard <mjw at gnu.org>
-)
-
-build() {
-  cd "${_name}-${pkgver}"
-
-  export CC="gcc -m32"
-  export CXX="g++ -m32"
-  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
-  CFLAGS+=" -g"  # required for test-suite success
-
-  ./configure --prefix=/usr \
-    --sysconfdir=/etc \
-    --libdir=/usr/lib32 \
-    --disable-debuginfod
-  make
-}
-
-check() {
-  cd "${_name}-${pkgver}"
-  make check || echo "Known problem: The build environment might lack enough resources."
-}
-
-package() {
-  cd "${_name}-${pkgver}"
-
-  make DESTDIR=${pkgdir} install
-  # remove anything that would conflict with elfutils
-  rm -rf ${pkgdir}{/etc,/usr/{bin,include,share}}
-}

Copied: lib32-libelf/repos/multilib-testing-x86_64/PKGBUILD (from rev 855853, lib32-libelf/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-02-11 12:14:15 UTC (rev 855854)
@@ -0,0 +1,53 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Andrej Gelenberg <andrej.gelenberg at udo.edu>
+
+_name=elfutils
+pkgname=lib32-libelf
+pkgver=0.183
+pkgrel=2
+pkgdesc="Handle ELF object files and DWARF debugging information (libraries) (32-bit)"
+arch=('x86_64')
+url="https://sourceware.org/elfutils/"
+license=('LGPL3' 'GPL3')
+depends=('lib32-curl' 'lib32-bzip2' 'lib32-gcc-libs' 'lib32-xz' 'lib32-zlib'
+'lib32-zstd' "libelf=${pkgver}")
+# NOTE: the shared objects can not be added to provides as they are not versioned
+source=("https://sourceware.org/elfutils/ftp/${pkgver}/elfutils-${pkgver}.tar.bz2"{,.sig})
+options=('staticlibs')
+sha512sums=('bdafdd738a33cebe4f87849e5e6f1133881e77ef71b27faa0f0234ff80e9674f506957898326c2a55fd8438cbd189f7930597d0b4b9ca6c77921cc0cbd83b6b7'
+            'SKIP')
+b2sums=('8dd92e7c2df13d51bb51085f6cf762ea1ec7b803dcebf1202a4441ba152ed0e3332b1267276de4650d5ed5c5bed656f72f4c4e9bbf20700be45312a202351574'
+        'SKIP')
+validpgpkeys=(
+  '47CC0331081B8BC6D0FD4DA08370665B57816A6A' # Mark J. Wielaard <mark at klomp.org>
+  'EC3CFE88F6CA0788774F5C1D1AA44BE649DE760A' # Mark Wielaard <mjw at gnu.org>
+)
+
+build() {
+  cd "${_name}-${pkgver}"
+
+  export CC="gcc -m32"
+  export CXX="g++ -m32"
+  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
+  CFLAGS+=" -g"  # required for test-suite success
+
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc \
+    --libdir=/usr/lib32 \
+    --disable-debuginfod
+  make
+}
+
+check() {
+  cd "${_name}-${pkgver}"
+  make check || echo "Known problem: The build environment might lack enough resources."
+}
+
+package() {
+  cd "${_name}-${pkgver}"
+
+  make DESTDIR=${pkgdir} install
+  # remove anything that would conflict with elfutils
+  rm -rf ${pkgdir}{/etc,/usr/{bin,include,share}}
+}


More information about the arch-commits mailing list